## eog-util eog-util |

## Functions

void | eog_util_show_help ()
gchar * | eog_util_make_valid_utf8 ()
GSList * | eog_util_parse_uri_string_list_to_file_list ()
GSList * | eog_util_string_list_to_file_list ()
GSList * | eog_util_strings_to_file_list ()
GSList * | eog_util_string_array_to_list ()
gchar ** | eog_util_string_array_make_absolute ()
gboolean | eog_util_launch_desktop_file ()
const gchar * | eog_util_dot_dir ()
gboolean | eog_util_file_is_persistent ()
char * | eog_util_filename_get_extension ()

## Description

## Functions

### eog_util_show_help ()

    void
    eog_util_show_help (const gchar *section,
                        GtkWindow *parent);

### eog_util_make_valid_utf8 ()

    gchar *
    eog_util_make_valid_utf8 (const gchar *name);

### eog_util_parse_uri_string_list_to_file_list ()

    GSList *
    eog_util_parse_uri_string_list_to_file_list
                                   (const gchar *uri_list);

### eog_util_string_list_to_file_list ()

    GSList *
    eog_util_string_list_to_file_list (GSList *string_list);

### eog_util_strings_to_file_list ()

    GSList *
    eog_util_strings_to_file_list (gchar **strings);

### eog_util_string_array_to_list ()

    GSList *
    eog_util_string_array_to_list (const gchar **files,
                                   gboolean create_uri);

### eog_util_string_array_make_absolute ()

    gchar **
    eog_util_string_array_make_absolute (gchar **files);

### eog_util_launch_desktop_file ()

    gboolean
    eog_util_launch_desktop_file (const gchar *filename,
                                  guint32 user_time);

### eog_util_dot_dir ()

    const    gchar *
    eog_util_dot_dir (void);

### eog_util_file_is_persistent ()

    gboolean
    eog_util_file_is_persistent (GFile *file);

Checks whether `file` is a non-removable local mount.

#### Parameters

file | a GFile |

#### Returns

`TRUE` if `file` is in a non-removable mount, `FALSE` otherwise or when it is remote.

### eog_util_filename_get_extension ()

    char *
    eog_util_filename_get_extension (const char *filename);

Returns a reasonably good guess of the file extension of `filename` .

#### Parameters

filename | a filename |

#### Returns

a newly allocated string with the file extension of `filename` .

## Types and Values